PETSc version 3.17.4
Fix/Edit manual page

# PCHPDDMGetComplexities

Computes the grid and operator complexities.

### Synopsis

    #include "petscpc.h"
    static PetscErrorCode PCHPDDMGetComplexities(PC pc, PetscReal *gc, PetscReal *oc)

### Input Parameter

| pc | - preconditioner context

### Output Parameters

| gc | - grid complexity = sum_i(m_i) / m_1
| oc | - operator complexity = sum_i(nnz_i) / nnz_1

### Notes

PCGAMG does not follow the usual convention and names the grid complexity what is usually referred to as the operator complexity. PCHPDDM follows what is found in the literature, and in particular, what you get with PCHYPRE and -pc_hypre_boomeramg_print_statistics.

### See Also

PCMGGetGridComplexity(), PCHPDDM

### Level

advanced

### Location

src/ksp/pc/impls/hpddm/hpddm.cxx
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages